/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: George F. Riley<riley@ece.gatech.edu>
 */
// Network Animator Packet class

#include <string>

#include "Packet.h"

using namespace std;
namespace netanim {


PacketRx::PacketRx(Time_t frx, Time_t lrx, LpId_t lp, NodeId_t id, const string& c)
  : fbRx(frx), lbRx(lrx), rxLp(lp), rxId(id), color(c)
{
}

Packet::Packet()
    : valid(false),forwardshown (false)
{
}

Packet::Packet(LpId_t lp1, NodeId_t n1,
               bool w,
               Time_t fbTx0, Time_t lbTx0)
  : fbTx(fbTx0), lbTx(lbTx0),
    wired(w), 
    txLp(lp1), txId(n1), 
    valid(true),forwardshown (false)
{
}

// Add a new rx time/node to the list of receipt events
void Packet::AddRx(Time_t frx, Time_t lrx, LpId_t lp, NodeId_t id, const string& color)
{
  rxVec.push_back(PacketRx(frx, lrx, lp, id, color));
}

} //namespace netanim

