/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: George F. Riley<riley@ece.gatech.edu>
 */
// Thread Information block for Animator

#ifndef __THREAD_INFO_H__
#define __THREAD_INFO_H__

#include "pthread.h"
#include <string>

#include "Common/CommonDefs.h"

namespace netanim {
class ThreadInfo 
{
public:
  ThreadInfo();
public:
  //Time_t          lastTime;    // Last updated time
  Time_t          maxTime;     // Time when the </anim> is found
  Time_t          lastXMLTime; // Hightest time from xml file
  std::string     fn;          // xml file to read
  std::string     origFn;      // file name for reader thread
  pthread_mutex_t lock;
  pthread_cond_t  cond;
  bool            done;        // True if thread has found </anim>
  bool            exit;        // True if thread should exit
  Time_t          advancedTo;  // Time the thread actually advanced to

  void SetThreadName (std::string);
  void PrintThreadString ();
private:
  std::string  name;
};
} // namespace netanim
#endif
