/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: George F. Riley<riley@ece.gatech.edu>
 */
// Network Animator Wired Link Class

#include "Node.h"
#include "WiredLink.h"

using namespace std;
namespace netanim {

WiredLink::WiredLink()
  : exists(false)
{ // Allow an erroneous return from GetLink
}

WiredLink::WiredLink(LpId_t lpid1, NodeId_t nd1, 
                           LpId_t lpid2, NodeId_t nd2)
  : lp1(lpid1), n1(nd1), lp2(lpid2), n2(nd2), exists(true)
{
}


} //namespace netanim

