/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: George F. Riley<riley@ece.gatech.edu>
 */
// Network Animator Wired Link Class

#ifndef __NET_WIRED_LINK__
#define __NET_WIRED_LINK__

#include <vector>

#include "Node.h"

namespace netanim {
class WiredLink;
typedef std::vector<WiredLink> LinkVec_t;

class WiredLink {
public:
  WiredLink();
  WiredLink(LpId_t, NodeId_t, LpId_t, NodeId_t);
public:
  LpId_t   lp1;
  NodeId_t n1;
  LpId_t   lp2;
  NodeId_t n2;
  bool     exists;
public:
  //static void Insert(const WiredLink&);
  // static LinkVec_t links;
};

} // namespace netanim
#endif

