/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: John Abraham <john.abraham@gatech.edu>
 */
#include "render.h"
#include "CmdDemux.h"
#include "anim-command.h"
#include <iostream>
#include <sstream>

namespace netanim {

Render::Render()
{
  CmdDemux::RegisterCmdHandler(RENDER_RESP,&Render::Handler);
}

void Render::Handler(std::vector <uint32_t> values)
{
    std::stringstream ss;

    for (uint32_t i = 0; i <values.size (); i++)
      {
        uint8_t * p = reinterpret_cast <uint8_t *> (&values[i]);
        ss << *p << *(p+1) << *(p+2) << *(p+3) ;
      }
    std::cout <<ss.str()<<std::endl;
}

} // namespace netanim
