/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: John Abraham <john.abraham@gatech.edu>
 */

#include "MainInfo/MainInfo.h"
#include "Dialogs/setserverportdialog.h"
#include <QLabel>
#include <iostream>
namespace netanim {

SetServerPortDialog::SetServerPortDialog(MainInfo * mi, QWidget *parent) :
    QDialog(parent)
{
    mainInfo = mi;
    setWindowTitle("Set Server Port");
    label = new QLabel ("NetAnim Server Port");
    lineEdit = new QLineEdit;
    label->setBuddy(lineEdit);

    applyButton = new QPushButton(("&Apply"));
    applyButton->setDefault(true);
    connect(applyButton, SIGNAL (clicked ()),this,SLOT(apply()));

    cancelButton = new QPushButton(("&Cancel"));
    connect(cancelButton, SIGNAL (clicked ()),this,SLOT(cancel()));

    QHBoxLayout * hlayout = new QHBoxLayout;
    hlayout->addWidget(label);
    hlayout->addWidget(lineEdit);
    hlayout->addWidget(applyButton);
    hlayout->addWidget(cancelButton);
    setLayout(hlayout);


}

void SetServerPortDialog::cancel()
{
    this->done(0);
}
void SetServerPortDialog::apply()
{
    port = this->lineEdit->text();
    mainInfo->setPort(port.toShort());
    cancel ();
}
} //namespace netanim
