/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: John Abraham <john.abraham@gatech.edu>
 */

#ifndef SETSIMULATIONARGS_H
#define SETSIMULATIONARGS_H
#include <QtGui>
#include <QDialog>
#include "MainInfo/MainInfo.h"


namespace netanim {
class SetSimulationArgs : public QDialog
{
    Q_OBJECT
public:
    explicit SetSimulationArgs(MainInfo * mi, QWidget *parent = 0);
    QString getSimulationArgs () {return simulationArgs;}
private:
    QLabel * label;
    QLineEdit * lineEdit;
    QPushButton * applyButton;
    QPushButton * cancelButton;
    QString simulationArgs;
    MainInfo * mainInfo;
private slots:
    void apply();
    void cancel();

};
} // namespace netanim
#endif // SETSIMULATIONARGS_H
