/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: John Abraham <john.abraham@gatech.edu>
 */

#ifndef STATUSBAR_H
#define STATUSBAR_H

#include <QtGui>
#include <QStatusBar>
#include "MainInfo/MainInfo.h"

namespace netanim {
class StatusBar : public QStatusBar
{
    Q_OBJECT
public:
    explicit StatusBar(MainInfo * mi, QWidget *parent = 0);
    void SetConnect ();
    void SetDisconnect ();
    void SetAnimatorStatusBar ();
    void ResetAnimatorStatusBar ();
    void setMessage(QString msg);
    void SetPacketCount (uint32_t pktCount);
    void SetWPacketCount (uint32_t wpktCount);

signals:

public slots:

private:
    QPointer <QCheckBox> shownode_cb;
    QHBoxLayout * hlayout;
    QPushButton * connectButton;
    QPointer <QLabel> nodefontsizelabel;
    QPointer <QPushButton> increaseNodefont;
    QPointer <QPushButton> decreaseNodefont;
    QPointer <QLabel> message;
    QPointer <QLabel> pktCountLabel;
    QPointer <QLabel> wpktCountLabel;
    bool connectStatus;
    MainInfo * mainInfo;

private slots:
    void toggleStatus();
    void shownodestatechanged (int );
    void increasenodefont_slot ();
    void decreasenodefont_slot ();

};
} // namespace netanim
#endif // STATUSBAR_H
