#ifdef WITH_NS3
/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: John Abraham <john.abraham@gatech.edu>
 */
#ifndef STATICROUTE_H
#define STATICROUTE_H

#include <QWidget>
#include <QtGui>
#include "ns3/network-module.h"


class StaticRoute : public QWidget
{
    Q_OBJECT
public:
    explicit StaticRoute(int mode,ns3::Ptr< ns3::Node>,QString,QWidget *parent = 0);
    QWidget * getCentralWidget ();

signals:

public slots:
    void applyButton_slot();
private:
    QWidget * centralWidget;

private:
    QPointer <QHBoxLayout> hbox;
    QPointer <QLineEdit> dst_le;
    QPointer <QLineEdit> nextHop_le;
    QPointer <QLineEdit> mask_le;
    QPointer <QLineEdit> interface_le;
    QPointer <QLineEdit> metric_le;




    QPointer <QPushButton> applyButton;
    QPointer <QLabel> dst_label;
    QPointer <QLabel> nextHop_label;
    QPointer <QLabel> mask_label;

    QPointer <QLabel> interface_label;
    QPointer <QLabel> metric_label;


    int m_mode;
    ns3::Ptr <ns3::Node> m_n;

public:
    QString dst_string;
    QString mask_string;
    QString nextHop_string;
    QString interface_string;
    QString metric_string;
    bool valid;



};

#endif // STATICROUTE_H
#endif
