#ifdef WITH_NS3

/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: John Abraham <john.abraham@gatech.edu>
 */


#ifndef NODESTATISTICS_H
#define NODESTATISTICS_H

#include <QtGui>
#include <stdint.h>

namespace netanim {

typedef struct MacIPv4Pair {
    QString Mac;
    QString Ipv4address;

} macipv4pair_t;


class NodeStatistics
{
public:
    NodeStatistics();
    void ResetStats();

    // ipv4l3protocol
    uint32_t ipv4l3protocol_rx;
    uint32_t ipv4l3protocol_tx;
    uint32_t ipv4l3protocol_drop;
    uint32_t ipv4l3protocol_sendoutgoing;
    uint32_t ipv4l3protocol_unicastforward;
    uint32_t ipv4l3protocol_localdeliver;



    // interfaces
    uint32_t ndevices;
    std::vector <macipv4pair_t> vMacIPv4Pairs;


private:

};

} // namespace netanim

#endif // NODESTATISTICS_H

#endif
