/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: George F. Riley<riley@ece.gatech.edu>
 */

// Read files (slowly) and write a copy
// This is for testing the Animator "Animate as created" option
// George F. Riley, Georgia Tech, Spring 2010

#include <iostream>
#include <sstream>
#include <stdio.h>
#include <vector>

using namespace std;

vector<FILE*> readers;
vector<FILE*> writers;

int main(int argc, char** argv)
{
  for (int i = 1; i < argc; ++i)
    {
      FILE* r = fopen(argv[i], "r");
      if (!r)
        {
          cout << "Can't open read " << argv[i] << endl;
          exit(1);
        }
      readers.push_back(r);
      ostringstream oss;
      oss << argv[i] << "-delayed";
      FILE* w = fopen(oss.str().c_str(), "w");
      if (!w)
        {
          cout << "Can't open write " << oss.str() << endl;
          exit(2);
        }
      writers.push_back(w);
    }

  vector<int> readSize(readers.size(), 0);
  unsigned nClosed = 0;
  while(nClosed < readers.size())
    {
      for (unsigned i = 0; i < readers.size(); ++i)
        {
          char buf[1000];
          if (readers[i])
            {
              // Read from reader file, write and flush to writer file
              int actual = fread(buf, 1, sizeof(buf), readers[i]);
              fwrite(buf, 1, actual, writers[i]);
              fflush(writers[i]);
              readSize[i] += actual;
              cout << "Wrote file " << i << " actual " << actual 
                   << " total " << readSize[i]
                   << endl;
              if (actual == 0)
                {
                  fclose(readers[i]);
                  readers[i] = 0;
                  fclose(writers[i]);
                  writers[i] = 0;
                  nClosed++;
                }
            }
        }
      usleep(100000);
    }
}
