/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: George F. Riley<riley@ece.gatech.edu>
 */

// Edit a topo.xml file removing every other packet

// Reads stdin, writes stdout
#include <iostream>
#include <string>
#include <fstream>

using namespace std;

int main(int argc, char** argv)
{
  if (argc < 3)
    {
      cerr << "Usage: ./fixpkts initialCopy skipSize" << endl;
      exit(1);
    }
  int initialCopy = atol(argv[1]);
  int skipSize = atol(argv[2]);
  int skipped = 0;
  string line;
  
  while(skipped < initialCopy)
    {
      getline(cin, line);
      cout << line << endl;
      skipped++;
    }
  while(cin)
    {
      // copy skipSize then skip skipsize
      skipped = 0;
      while(cin && (skipped < skipSize))
        { // copy
          getline(cin, line);
          cout << line << endl;
          skipped++;
        }
      skipped = 0;
      while(cin && (skipped < skipSize))
        { // skip
          getline(cin, line);
          skipped++;
        }
    }
  cout << "</anim>" << endl;
}

  
